IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_center')
 CREATE TABLE tk_ysq_rpa_app_center (
	FID BIGINT NOT NULL,
	fnumber VARCHAR(35) NOT NULL DEFAULT ' ',
	fname VARCHAR(50) NOT NULL DEFAULT ' ',
	fstatus VARCHAR(50) NOT NULL DEFAULT ' ',
	fcreatorid BIGINT NULL DEFAULT NULL,
	fmodifierid BIGINT NULL DEFAULT NULL,
	fenable VARCHAR(50) NOT NULL DEFAULT ' ',
	fcreatetime DATETIME NULL DEFAULT NULL,
	fmodifytime DATETIME NULL DEFAULT NULL,
	fmasterid BIGINT NULL DEFAULT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	forgid BIGINT NULL DEFAULT NULL,
	fctrlstrategy VARCHAR(254) NOT NULL DEFAULT ' ',
	fsourcedataid BIGINT NULL DEFAULT NULL,
	fbitindex BIGINT NULL DEFAULT NULL,
	fsourcebitindex BIGINT NULL DEFAULT NULL,
	
	fk_ysq_app_name VARCHAR(256) NOT NULL DEFAULT ' ' ,
	fk_ysq_dev_com_code VARCHAR(64) NOT NULL DEFAULT ' ' ,
	fk_ysq_dev_com_name VARCHAR(128) NOT NULL DEFAULT ' ' ,
	fk_ysq_launch_date DATETIME NULL DEFAULT NULL,
	fk_ysq_update_date DATETIME NULL DEFAULT NULL,
	fk_ysq_last_version VARCHAR(256) NOT NULL DEFAULT ' ' ,
	fk_ysq_app_price DECIMAL(23,2) NULL DEFAULT NULL,
	fk_ysq_app_open_source VARCHAR(50) NOT NULL DEFAULT ' ',
	fk_ysq_app_special VARCHAR(50) NOT NULL DEFAULT ' ',
	fk_ysq_app_explain VARCHAR(2000) NOT NULL DEFAULT ' ',
	fk_ysq_app_label VARCHAR(1024) NOT NULL DEFAULT ' ',
	fk_ysq_app_involve_sys VARCHAR(1024) NOT NULL DEFAULT ' ',
	fk_ysq_app_use_helper VARCHAR(255) NOT NULL DEFAULT ' ',
	fk_ysq_app_use_helper_tag CLOB NULL DEFAULT NULL,
	fk_ysq_proc_code VARCHAR(32) NOT NULL DEFAULT ' ',
    fk_ysq_app_product_type varchar(50) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_center_l') 
 CREATE TABLE tk_ysq_rpa_app_center_l (
	FPKID VARCHAR(36) NOT NULL DEFAULT ' ',
	FID BIGINT NOT NULL,
	FLocaleID VARCHAR(10) NOT NULL DEFAULT ' ' ,
	fname VARCHAR(50) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_center_m') 
 CREATE TABLE tk_ysq_rpa_app_center_m (
	forgid BIGINT NOT NULL,
	fdata BLOB NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_center_r3') 
 CREATE TABLE tk_ysq_rpa_app_center_r3 (
	fid BIGINT NOT NULL,
	frefstatus CHAR(1) NOT NULL DEFAULT '0'
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_center_u') 
 CREATE TABLE tk_ysq_rpa_app_center_u (
	fdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fuseorgid BIGINT NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_centerexc') 
 CREATE TABLE tk_ysq_rpa_app_centerexc (
	fdataid BIGINT NOT NULL,
	fnewdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fuseorgid BIGINT NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_centerusereg') 
 CREATE TABLE tk_ysq_rpa_app_centerusereg (
	fuseorgid BIGINT NOT NULL,
	fdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fadminorgid BIGINT NULL DEFAULT NULL,
	fctrlstrategy VARCHAR(10) NULL DEFAULT NULL,
	fisassign CHAR(1) NULL DEFAULT NULL,
	fassignorgid BIGINT NULL DEFAULT NULL,
	fmasterid BIGINT NULL DEFAULT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_center_ver') 
 CREATE TABLE tk_ysq_rpa_app_center_ver (
	fid BIGINT NOT NULL,
	fentryid BIGINT NOT NULL,
	fseq BIGINT NOT NULL,
	fk_ysq_app_ver_code VARCHAR(256) NOT NULL DEFAULT ' ',
	fk_ysq_app_update_date DATETIME NULL DEFAULT NULL,
	fk_ysq_app_update_content VARCHAR(1024) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_mine')
 CREATE TABLE tk_ysq_rpa_app_mine (
	FID BIGINT NOT NULL,
	fnumber VARCHAR(30) NOT NULL DEFAULT ' ',
	fname VARCHAR(50) NOT NULL DEFAULT ' ',
	fstatus VARCHAR(50) NOT NULL DEFAULT ' ',
	fcreatorid BIGINT NULL DEFAULT NULL,
	fmodifierid BIGINT NULL DEFAULT NULL,
	fenable VARCHAR(50) NOT NULL DEFAULT ' ',
	fcreatetime DATETIME NULL DEFAULT NULL,
	fmodifytime DATETIME NULL DEFAULT NULL,
	fmasterid BIGINT NULL DEFAULT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	forgid BIGINT NULL DEFAULT NULL,
	fctrlstrategy VARCHAR(254) NOT NULL DEFAULT ' ',
	fsourcedataid BIGINT NULL DEFAULT NULL,
	fbitindex BIGINT NULL DEFAULT NULL,
	fsourcebitindex BIGINT NULL DEFAULT NULL,
	
	fk_ysq_app_name VARCHAR(256) NOT NULL DEFAULT ' ' ,
	fk_ysq_dev_com_code VARCHAR(64) NOT NULL DEFAULT ' ' ,
	fk_ysq_dev_com_name VARCHAR(128) NOT NULL DEFAULT ' ' ,
	fk_ysq_last_version VARCHAR(256) NOT NULL DEFAULT ' ' ,
	fk_ysq_app_price DECIMAL(23,2) NULL DEFAULT NULL,
	fk_ysq_app_open_source VARCHAR(50) NOT NULL DEFAULT ' ' ,
	fk_ysq_app_special VARCHAR(50) NOT NULL DEFAULT ' ',
	fk_ysq_app_explain VARCHAR(2000) NOT NULL DEFAULT ' ',
	fk_ysq_app_label VARCHAR(1024) NOT NULL DEFAULT ' ',
	fk_ysq_app_involve_sys VARCHAR(1024) NOT NULL DEFAULT ' ',
	fk_ysq_app_use_help VARCHAR(255) NOT NULL DEFAULT ' ',
	fk_ysq_app_use_help_tag CLOB NULL DEFAULT NULL,
	fk_ysq_update_date DATETIME NULL DEFAULT NULL,
	fk_ysq_status VARCHAR(50) NOT NULL DEFAULT ' ',
	fk_ysq_proc_code VARCHAR(32) NOT NULL DEFAULT ' ',
    fk_ysq_start_date DATETIME NULL DEFAULT NULL,
    fk_ysq_end_date DATETIME NULL DEFAULT NULL
); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_mine_l') 
 CREATE TABLE tk_ysq_rpa_app_mine_l (
	FPKID VARCHAR(36) NOT NULL DEFAULT ' ',
	FID BIGINT NOT NULL,
	FLocaleID VARCHAR(10) NOT NULL DEFAULT ' ' ,
	fname VARCHAR(50) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_mine_m') 
 CREATE TABLE tk_ysq_rpa_app_mine_m (
	forgid BIGINT NOT NULL,
	fdata BLOB NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_mine_r3') 
 CREATE TABLE tk_ysq_rpa_app_mine_r3 (
	fid BIGINT NOT NULL,
	frefstatus CHAR(1) NOT NULL DEFAULT '0'
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_mine_u') 
 CREATE TABLE tk_ysq_rpa_app_mine_u (
	fdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fuseorgid BIGINT NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_mineexc') 
 CREATE TABLE tk_ysq_rpa_app_mineexc (
	fdataid BIGINT NOT NULL,
	fnewdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fuseorgid BIGINT NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_mineusereg') 
 CREATE TABLE tk_ysq_rpa_app_mineusereg (
	fuseorgid BIGINT NOT NULL,
	fdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fadminorgid BIGINT NULL DEFAULT NULL,
	fctrlstrategy VARCHAR(10) NULL DEFAULT NULL,
	fisassign CHAR(1) NULL DEFAULT NULL,
	fassignorgid BIGINT NULL DEFAULT NULL,
	fmasterid BIGINT NULL DEFAULT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_mine_ver') 
 CREATE TABLE tk_ysq_rpa_app_mine_ver (
	fid BIGINT NOT NULL,
	fentryid BIGINT NOT NULL,
	fseq BIGINT NOT NULL,
	fk_ysq_app_ver_code VARCHAR(256) NOT NULL DEFAULT ' ',
	fk_ysq_app_update_date DATETIME NULL DEFAULT NULL,
	fk_ysq_app_update_content VARCHAR(1024) NOT NULL DEFAULT ' '
);