IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_lic')
 CREATE TABLE tk_ysq_rpa_app_lic (
	FID BIGINT NOT NULL,
	fnumber VARCHAR(30) NOT NULL DEFAULT ' ',
	fname VARCHAR(50) NOT NULL DEFAULT ' ',
	fstatus VARCHAR(50) NOT NULL DEFAULT ' ',
	fcreatorid BIGINT NULL DEFAULT NULL,
	fmodifierid BIGINT NULL DEFAULT NULL,
	fenable VARCHAR(50) NOT NULL DEFAULT ' ',
	fcreatetime DATETIME NULL DEFAULT NULL,
	fmodifytime DATETIME NULL DEFAULT NULL,
	fmasterid BIGINT NULL DEFAULT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	forgid BIGINT NULL DEFAULT NULL,
	fctrlstrategy VARCHAR(254) NOT NULL DEFAULT ' ',
	fsourcedataid BIGINT NULL DEFAULT NULL,
	fbitindex BIGINT NULL DEFAULT NULL,
	fsourcebitindex BIGINT NULL DEFAULT NULL,
	
	fk_ysq_lic_sn VARCHAR(254) NOT NULL DEFAULT ' ' ,
	fk_ysq_lic_count BIGINT NULL DEFAULT NULL,
	fk_ysq_start_time DATETIME NULL DEFAULT NULL,
	fk_ysq_end_time DATETIME NULL DEFAULT NULL,
    fk_ysq_app_useable char(1) NOT NULL DEFAULT '0',
    fk_ysq_app_product_type varchar(50) NOT NULL DEFAULT ' ',
    fk_ysq_kd_lic varchar(50) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_lic_l') 
 CREATE TABLE tk_ysq_rpa_app_lic_l (
	FPKID VARCHAR(36) NOT NULL DEFAULT ' ',
	FID BIGINT NOT NULL,
	FLocaleID VARCHAR(10) NOT NULL DEFAULT ' ' ,
	fname VARCHAR(50) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_lic_m') 
 CREATE TABLE tk_ysq_rpa_app_lic_m (
	forgid BIGINT NOT NULL,
	fdata BLOB NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_lic_r3') 
 CREATE TABLE tk_ysq_rpa_app_lic_r3 (
	fid BIGINT NOT NULL,
	frefstatus CHAR(1) NOT NULL DEFAULT '0'
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_lic_u') 
 CREATE TABLE tk_ysq_rpa_app_lic_u (
	fdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fuseorgid BIGINT NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_licexc') 
 CREATE TABLE tk_ysq_rpa_app_licexc (
	fdataid BIGINT NOT NULL,
	fnewdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fuseorgid BIGINT NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_app_licusereg') 
 CREATE TABLE tk_ysq_rpa_app_licusereg (
	fuseorgid BIGINT NOT NULL,
	fdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fadminorgid BIGINT NULL DEFAULT NULL,
	fctrlstrategy VARCHAR(10) NULL DEFAULT NULL,
	fisassign CHAR(1) NULL DEFAULT NULL,
	fassignorgid BIGINT NULL DEFAULT NULL,
	fmasterid BIGINT NULL DEFAULT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_lic_robot') 
 CREATE TABLE tk_ysq_rpa_lic_robot (
	FID BIGINT NOT NULL,
	fbillno VARCHAR(30) NOT NULL DEFAULT ' ',
	fbillstatus VARCHAR(50) NOT NULL DEFAULT ' ',
	fcreatorid BIGINT NULL DEFAULT NULL,
	fmodifierid BIGINT NULL DEFAULT NULL,
	fauditorid BIGINT NULL DEFAULT NULL,
	fauditdate DATETIME NULL DEFAULT NULL,
	fcreatetime DATETIME NULL DEFAULT NULL,
	fmodifytime DATETIME NULL DEFAULT NULL,

	fk_ysq_lic_sn VARCHAR(254) NOT NULL DEFAULT ' ',
	fk_ysq_bind_time DATETIME NULL DEFAULT NULL,
	fk_ysq_agentid BIGINT NOT NULL,
	fk_ysq_agent_alias VARCHAR(128) NOT NULL DEFAULT ' '
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_dev_info')
 CREATE TABLE tk_ysq_rpa_dev_info (
	FID BIGINT NOT NULL,
	fnumber VARCHAR(30) NOT NULL DEFAULT ' ',
	fname VARCHAR(50) NOT NULL DEFAULT ' ',
	fstatus VARCHAR(50) NOT NULL DEFAULT ' ',
	fcreatorid BIGINT NULL DEFAULT NULL,
	fmodifierid BIGINT NULL DEFAULT NULL,
	fenable VARCHAR(50) NOT NULL DEFAULT ' ',
	fcreatetime DATETIME NULL DEFAULT NULL,
	fmodifytime DATETIME NULL DEFAULT NULL,
	fmasterid BIGINT NULL DEFAULT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	forgid BIGINT NULL DEFAULT NULL,
	fctrlstrategy VARCHAR(254) NOT NULL DEFAULT ' ',
	fsourcedataid BIGINT NULL DEFAULT NULL,
	fbitindex BIGINT NULL DEFAULT NULL,
	fsourcebitindex BIGINT NULL DEFAULT NULL,
	
	fk_ysq_dev_code VARCHAR(50) NOT NULL DEFAULT ' ' ,
	fk_ysq_dev_name VARCHAR(256) NOT NULL DEFAULT ' ' ,
	fk_ysq_dev_pwd VARCHAR(256) NOT NULL DEFAULT ' ' ,
	fk_ysq_register_date DATETIME NULL DEFAULT NULL
); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_dev_info_l') 
 CREATE TABLE tk_ysq_rpa_dev_info_l (
	FPKID VARCHAR(36) NOT NULL DEFAULT ' ',
	FID BIGINT NOT NULL,
	FLocaleID VARCHAR(10) NOT NULL DEFAULT ' ' ,
	fname VARCHAR(50) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_dev_info_m') 
 CREATE TABLE tk_ysq_rpa_dev_info_m (
	forgid BIGINT NOT NULL,
	fdata BLOB NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_dev_info_r3') 
 CREATE TABLE tk_ysq_rpa_dev_info_r3 (
	fid BIGINT NOT NULL,
	frefstatus CHAR(1) NOT NULL DEFAULT '0'
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_dev_info_u') 
 CREATE TABLE tk_ysq_rpa_dev_info_u (
	fdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fuseorgid BIGINT NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_dev_infoexc') 
 CREATE TABLE tk_ysq_rpa_dev_infoexc (
	fdataid BIGINT NOT NULL,
	fnewdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fuseorgid BIGINT NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_dev_infousereg') 
 CREATE TABLE tk_ysq_rpa_dev_infousereg (
	fuseorgid BIGINT NOT NULL,
	fdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fadminorgid BIGINT NULL DEFAULT NULL,
	fctrlstrategy VARCHAR(10) NULL DEFAULT NULL,
	fisassign CHAR(1) NULL DEFAULT NULL,
	fassignorgid BIGINT NULL DEFAULT NULL,
	fmasterid BIGINT NULL DEFAULT NULL
);



