IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_sfile')
 CREATE TABLE tk_ysq_rpa_sfile (
    FID BIGINT NOT NULL,
    fbillno VARCHAR(30) NOT NULL DEFAULT ' ',
    fbillstatus VARCHAR(50) NOT NULL DEFAULT ' ',
    fcreatorid BIGINT NULL DEFAULT NULL,
    fmodifierid BIGINT NULL DEFAULT NULL,
    fauditorid BIGINT NULL DEFAULT NULL,
    fauditdate DATETIME NULL DEFAULT NULL,
    fcreatetime DATETIME NULL DEFAULT NULL,
    fmodifytime DATETIME NULL DEFAULT NULL,
    forgid BIGINT NULL DEFAULT NULL,

    FK_YSQ_FILE_NAME VARCHAR(254) NOT NULL DEFAULT ' ',
    FK_YSQ_FILE_NAME_LOW VARCHAR(254) NOT NULL DEFAULT ' ',
    FK_YSQ_FILE_SIZE BIGINT NULL DEFAULT NULL,
    FK_YSQ_FILE_DESC VARCHAR(254) NOT NULL DEFAULT ' ',
    FK_YSQ_IS_THIRD CHAR(1) NOT NULL DEFAULT '0',
    FK_YSQ_FILE_TAG VARCHAR(512) NOT NULL DEFAULT ' ',
    FK_YSQ_CREATE_USER_NAME VARCHAR(128) NOT NULL DEFAULT ' ',
    FK_YSQ_USER_NAME VARCHAR(128) NULL DEFAULT NULL,
    FK_YSQ_ORG_ID BIGINT NULL DEFAULT NULL,
    FK_YSQ_CUR_ORG_NAME VARCHAR(64) NOT NULL DEFAULT ' ',
    FK_YSQ_JOB_NO VARCHAR(64) NOT NULL DEFAULT ' ',
    FK_YSQ_SCH_NAME VARCHAR(64) NOT NULL DEFAULT ' ',
    FK_YSQ_PROC_CODE VARCHAR(32) NOT NULL DEFAULT ' ',
    FK_YSQ_PROC_NAME VARCHAR(64) NOT NULL DEFAULT ' ',
    FK_YSQ_AGENT_NO VARCHAR(128) NOT NULL DEFAULT ' ',
    FK_YSQ_AGENT_ALIAS VARCHAR(128) NOT NULL DEFAULT ' ',
    FK_YSQ_AGENT_TYPE VARCHAR(50) NOT NULL DEFAULT ' ',
    FK_YSQ_LAST_OPER_TYPE VARCHAR(50) NOT NULL DEFAULT ' ',
    FK_YSQ_LAST_OPER_TIME DATETIME NULL DEFAULT NULL,
    FK_YSQ_FILE_CREATE_TYPE VARCHAR(50) NOT NULL DEFAULT ' ',
    FK_YSQ_SOURCE_USER_ID BIGINT NULL DEFAULT NULL,
    FK_YSQ_OPT_DESC VARCHAR(254) NOT NULL DEFAULT ' ',
    FK_YSQ_SOUR_PROC_CODE VARCHAR(64) NOT NULL DEFAULT ' ',
    FK_YSQ_OPERATOR BIGINT NULL DEFAULT NULL,
    FK_YSQ_FILE_TYPE VARCHAR(50) NOT NULL DEFAULT ' '

);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_NAME = 'fk_ysq_file_ref_count' AND KSQL_COL_TABNAME = 'tk_ysq_rpa_job')
ALTER TABLE tk_ysq_rpa_job ADD fk_ysq_file_ref_count BIGINT;

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_NAME = 'fk_ysq_file_count' AND KSQL_COL_TABNAME = 'tk_ysq_rpa_sfile')
ALTER TABLE tk_ysq_rpa_sfile ADD fk_ysq_file_count BIGINT;

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_NAME = 'fk_ysq_user_name' AND KSQL_COL_TABNAME = 'tk_ysq_rpa_sfile')
ALTER TABLE tk_ysq_rpa_sfile ADD fk_ysq_user_name VARCHAR(64) not null default ' ';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_NAME = 'fk_ysq_file_name_low' AND KSQL_COL_TABNAME = 'tk_ysq_rpa_sfile')
ALTER TABLE tk_ysq_rpa_sfile ADD fk_ysq_file_name_low VARCHAR(254) not null default ' ';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_process_file_clean')
CREATE TABLE tk_ysq_process_file_clean (
    FID BIGINT NOT NULL,
    fbillno VARCHAR(30) NOT NULL DEFAULT ' ',
    fbillstatus VARCHAR(50) NOT NULL DEFAULT ' ',
    fcreatorid BIGINT NULL DEFAULT NULL,
    fmodifierid BIGINT NULL DEFAULT NULL,
    fauditorid BIGINT NULL DEFAULT NULL,
    fauditdate DATETIME NULL DEFAULT NULL,
    fcreatetime DATETIME NULL DEFAULT NULL,
    fmodifytime DATETIME NULL DEFAULT NULL,
    forgid BIGINT NULL DEFAULT NULL,
    FK_YSQ_FILE_TYPE VARCHAR(50) NOT NULL DEFAULT ' ',
    FK_YSQ_FILE_CREATE_TYPE VARCHAR(50) NOT NULL DEFAULT ' ',
    FK_YSQ_PROC_CODE VARCHAR(50) NOT NULL DEFAULT ' ',
    FK_YSQ_PROC_NAME VARCHAR(50) NOT NULL DEFAULT ' ',
    FK_YSQ_USER_NAME VARCHAR(50) NOT NULL DEFAULT ' ',
    FK_YSQ_CUR_ORG_NAME VARCHAR(50) NOT NULL DEFAULT ' ',
    FK_YSQ_FILE_SIZE VARCHAR(200) NOT NULL DEFAULT ' ',
    FK_YSQ_FILE_COUNT BIGINT,
    FK_YSQ_INTEGERFIELD BIGINT
);
